package com.ruoyi.manage.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 轮挡出库记录对象 record_out
 * 
 * @author wangh
 * @date 2024-01-18
 */
public class RecordOut extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long objid;

    /** RFID编码 */
    @Excel(name = "RFID编码")
    private String epcCode;

    /** 机位码 */
    @Excel(name = "机位码")
    private String locationCode;

    /** 领用人 */
    @Excel(name = "领用人")
    private String useUser;

    public void setObjid(Long objid) 
    {
        this.objid = objid;
    }

    public Long getObjid() 
    {
        return objid;
    }
    public void setEpcCode(String epcCode) 
    {
        this.epcCode = epcCode;
    }

    public String getEpcCode() 
    {
        return epcCode;
    }
    public void setLocationCode(String locationCode) 
    {
        this.locationCode = locationCode;
    }

    public String getLocationCode() 
    {
        return locationCode;
    }
    public void setUseUser(String useUser) 
    {
        this.useUser = useUser;
    }

    public String getUseUser() 
    {
        return useUser;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objid", getObjid())
            .append("epcCode", getEpcCode())
            .append("locationCode", getLocationCode())
            .append("useUser", getUseUser())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .toString();
    }
}
